Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonApplicationMenuPopupPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.PopupPanelUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI
org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuPopupPanelUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonApplicationMenuPopupPanelUI

public class SubstanceRibbonApplicationMenuPopupPanelUI extends org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuPopupPanelUI
UI for `JRibbonApplicationMenuPopupPanel` components in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI.PopupPanelEscapeDismisser, org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI.WindowTracker`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuPopupPanelUI

`applicationMenuPopupPanel, footerPanel, mainPanel, MENU_TILE_LEVEL_1, panelLevel1, panelLevel2`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`popupPanel`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceRibbonApplicationMenuPopupPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`installComponents()`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuPopupPanelUI

`createMainPanel, getPanelLevel1, getPanelLevel2, installDefaults, installListeners, installUI, paint, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI

`initiliazeGlobalListeners`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceRibbonApplicationMenuPopupPanelUI

public SubstanceRibbonApplicationMenuPopupPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installComponents

protected void installComponents()

Overrides:
  `installComponents` in class `org.pushingpixels.flamingo.internal.ui.ribbon.appmenu.BasicRibbonApplicationMenuPopupPanelUI`